{% extends "base.html" %}

{% block title %} {{pro.firstName}} {{pro.lastName}} {% endblock title %}

{% block content %}

    <div class="row">

      {% if pro.firstName and pro.lastName %}
          <div class="col-sm-9"><h1><b> <a href="{% url 'uprofile' pro.userName %}"> {{pro.firstName}} {{pro.lastName}}</a> </b></h1></div>
          
      {% else %}
           <div class="col-sm-9"><h1><b> <a href="{% url 'uprofile' pro.userName %}"> {{pro.userName}}</a></b></h1></div>
      {% endif %}

      {% if pro.propic %}
        <div class="col-sm-3"><a href="#" class="pull-right"><img title="profile image" class="img-thumbnail img-responsive" src="{{ pro.propic.url }}" style="width: 180px; height: 140px;"></a></div>
      {% else %}
        <div class="col-sm-3"><a href="#" class="pull-right"><img title="profile image" class="img-thumbnail img-responsive" src="/static/image/generic.jpg" style="width: 180px; height: 140px;"></a></div>
      {% endif %}

    </div>

    <hr>

    {% if himself %}

    <div class="row" style="padding-bottom: 30px">
    <div class="col-sm-3"><!--left col-->
                        
        <ul class="list-group">
            <li class="list-group-item text-muted"><b>Subscribed Categories</b></li>

            {% for key in sub %}
                <li class="list-group-item"><strong><a href="{% url 'category' key %}">{{ key }}</a></strong></li>
            {% endfor %}          
        </ul> 
          
    </div><!--/col-4-->

    <div class="col-sm-9">
          
        <ul class="nav nav-tabs" id="myTab">

            <li class="active"><a href="#home" data-toggle="tab">Subscribed Jobs</a></li>
            <li><a href="#sub" data-toggle="tab">Set Subscriptions</a></li>
           
            <li><a href="#job" data-toggle="tab">Applied Jobs</a></li>
            <li><a href="#settings" data-toggle="tab">Update CV</a></li>

        </ul>
              
        <div class="tab-content">
            <div class="tab-pane active" id="home">
                <div align="center" style="padding: 30px">
                <table class="table table-hover table-striped">
                    <thead>
                        <tr>
                            <td>Type</td>
                            <td>Title<br />-Company Name</td>
                            <td>Location</td>
                            <td>Posted On</td>
                            <td>Deadline</td>
                        </tr>
                    </thead>
                    <tbody>
                        {% for item in job %}
                        <tr>
                            <td>{{ item.jobType}}</td>
                            <td><a href="{% url "job" item.id %}">{{ item.jobTitle }}<br>-{{ item.companyName }}</a></td>
                            <td>{{ item.jobLocation }}</td>
                            <td>{{ item.jobCreated }}</td>
                            <td>{{ item.applyDeadline }}</td>
                        </tr>
                        {% endfor %}

                 
                    </tbody>
                </table>
                       <!--Paginator starts here -->
                     <div align="right">
                        <ul class="pagination">
                        {% if job.has_previous%}
                            <li class="prev"><a href="?page={{job.previous_page_number}}">← Previous</a></li>
                        {%endif%}

                        {% for pg in job.paginator.page_range%}
                            {% if job.number == pg %}
                            <li class="active"><a href="?page={{pg}}">{{pg}}</a></li>
                            {%else%}
                            <li class=""><a href="?page={{pg}}">{{pg}}</a></li>
                            {%endif%}
                        {%endfor%}

                            {%if job.has_next%}

                            <li class="next"><a href="?page={{ job.next_page_number }}">Next → </a></li>
                            {%endif%}


                        </ul>
                    </div>
                    <!--Paginator starts ends here -->
                </div>
            </div><!--/tab-pane-->

            <div class="tab-pane" id="sub">
              <div align="center" style="padding:30px;">
                <form action="" method="post">{% csrf_token %}
                   <table class="table table-hover table-striped">
                    <thead>
                        <tr>
                            <td>Subscribe</td>
                            <td>Category Name</td>
                            
                        </tr>
                    </thead>
                    <tbody>
                                 
                    {%if subscribed%}
                        {%for item in subscribed%}
                      <tr>

                     
                        <td><input type="checkbox" class="" name="group[]" value="{{item}}" checked></td>
                
                       
                        <td>{{item}}</td>
                        
                   
                     
                     </tr>
                    {%endfor%}
                    {%endif%}


                    {%if unsubscribed%}
                        {%for item in unsubscribed%}
                      <tr>

                     
                        <td><input type="checkbox" class="" name="group[]" value="{{item}}" ></td>
                
                       
                        <td>{{item}}</td>
                        
                   
                     
                     </tr>
                    {%endfor%}
                    {%endif%}

                    
                     <tr>
                     <td></td>
                     <td align="right"><button type="submit" class="btn btn-success">Set Subscription</button></td>
                     </tr>
                    </tbody>
                   </form>
                </table>

              </div>
            </div><!--/tab-pane-->

            <div class="tab-pane" id="job">
                <div align="center" style="padding: 30px">
                <table class="table table-hover table-striped">
                    <thead>
                        <tr>
                            <td>Type</td>
                            <td>Title<br />-Company Name</td>
                            <td>Location</td>
                            <td>Posted On</td>
                            <td>Deadline</td>
                        </tr>
                    </thead>
                    <tbody>
                        {% for item in app %}
                        <tr>
                            <td>{{ item.jobType}}</td>
                            <td><a href="{% url "job" item.id %}">{{ item.jobTitle }}<br>-{{ item.companyName }}</a></td>
                            <td>{{ item.jobLocation }}</td>
                            <td>{{ item.jobCreated }}</td>
                            <td>{{ item.applyDeadline }}</td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
                </div>
            </div>
            
            <div class="tab-pane" id="settings">
                {% include 'uprofile_settings.html' %}
            </div>
               
        </div><!--/tab-content-->

    </div><!--/col-8-->
    </div>

    {% else %}
        <div class="row" style="padding-bottom: 30px">
            <ul class="list-group">
                <li class="list-group-item"><h3><strong><em>Carriculam Vitae</em></strong></h3></li>
                <li class="list-group-item"><strong><em>Full Name</em></strong> : {{ pro.firstName }} {{pro.lastName }}</li>
                <li class="list-group-item"><strong>Email Address :</strong> {{ pro.email }} <span class="pull-right"><strong>Gender :</strong> {{ pro.gender }}</span></li>

                <li class="list-group-item"><strong>Educational Institutes</strong><br /><hr>{{ pro.eduInstitute|safe }}</li>
                <li class="list-group-item"><strong>Educational Degrees</strong><br /><hr>{{ pro.degree|safe }}</li>
                <li class="list-group-item"><strong>Professional Certificates</strong><br /><hr>{{ pro.certification|safe }}</li>
                <li class="list-group-item"><strong>Key Skills</strong><br /><hr>{{ pro.keySkills|safe }}</li>
                <li class="list-group-item"><strong>Experiences</strong></strong><br /><hr>{{ pro.experienceLevel|safe }}</li>
                <li class="list-group-item"><strong>About Me</strong><br /><hr>{{ pro.description|safe }}</li>
            </ul>
        </div>
    {% endif %}

{% endblock content %}